org.eclipse.actf.util.httpproxy.core

## Class TimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.actf.util.httpproxy.core.TimeoutException

All Implemented Interfaces:
  Serializable

    public class TimeoutException
    extends Exception

This exception is thrown when an operation (e.g. read and write) did not completes within a specific time.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeoutException()` Constructor of the exception.
`TimeoutException(String msg)` COnstuctor of the exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeoutException

    public TimeoutException()

Constructor of the exception.

#### TimeoutException

    public TimeoutException(String msg)

COnstuctor of the exception.

Parameters:
  `msg` - exception message